
Name: openct
Version: 0.1.0
Release: alt2
%define lib_name lib%name

Group: System/Servers
Summary: Smartcard Terminal Tnterface
License: BSD
Url: http://www.opensc.org

Requires: lib%name = %version-%release

Source0: http://www.opensc.org/files/%name-%version.tar.gz
Source1: http://www.opensc.org/files/%name-%version.tar.gz.sig
Source10: openct.startup

# Automatically added by buildreq on Mon Nov 24 2003 (-bi)
BuildRequires: rpm-build flex glibc-devel-static libpcsclite-devel-static libusb-devel-static

%description
This is OpenCT, a middleware framework for smart card terminals.

Currently, OpenCT supports the following set of card terminals
and USB tokens:

 -      Towitoko serial readers
 -      Kobil Kaan Professional (including PIN pad support)
 -      Aladdin eToken
 -      Rainbow iKey 3000
 -      Cryptoflex eGate
 -      Eutron Cypto-Identity ITSEC

More drivers are currently under development.

OpenCT currently does not work with synchronous smart cards (e.g.
memory cards).

%package -n lib%name
Group: System/Libraries
Summary: Library for accessing Smartcards

%description -n lib%name
These are the shared libraries for the smartcard terminal middleware
OpenCT.
If you want to compile applications using this library, you also need
the %name-devel package.

%package -n lib%name-devel
Requires: lib%name = %version
Group: System/Libraries
Summary: Supplementary files for developing %name applications
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files and documentation for %name.

%package -n lib%name-devel-static
Requires: lib%name = %version
Group: System/Libraries
Summary: Supplementary files for developing %name applications
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
static libraries for %name.

%prep
%setup -q

%build
%add_optflags %optflags_shared
export CFLAGS="%optflags"
%configure \
    --with-pcsc
%make
%make -k check

%install
%make install DESTDIR=%buildroot

install -d %buildroot/%_sysconfdir/hotplug/usb
install -d %buildroot/%_initdir
cp %_builddir/%name-%version/%_sysconfdir/openct.conf %buildroot/%_sysconfdir/

install -m 755 %SOURCE10 %buildroot/%_initdir/%name
install -m 755  %_builddir/%name-%version/%_sysconfdir/hotplug.openct %buildroot/%_sysconfdir/hotplug/usb/%name

# reference to home or tmp
#rm -rf %buildroot/%_libdir/libifd.la

%preun
%preun_service %name
%post
%post_service %name

%post -p /sbin/ldconfig -n lib%name
%postun -p /sbin/ldconfig -n lib%name

%files
%doc ANNOUNCE README NEWS
%doc doc/%name.*
%_bindir/*
%_sbindir/*
%config(noreplace) %_initdir/%name
%config(noreplace) %_sysconfdir/openct.conf
%config(noreplace) %_sysconfdir/hotplug/usb/%name

%files -n lib%name
%doc AUTHORS ChangeLog TODO
%_libdir/*.so.*

%files -n lib%name-devel
%doc AUTHORS ChangeLog TODO
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%dir %_includedir/%name
%_includedir/%name/*.h

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Thu Nov 27 2003 Sergey V Turchin <zerg at altlinux dot org> 0.1.0-alt2
- remove *.la

* Mon Nov 24 2003 Sergey V Turchin <zerg at altlinux dot org> 0.1.0-alt1
- build for ALT

* Fri Nov 14 2003 Florin <florin@mandrakesoft.com> 0.1.0-2mdk
- rebuild

* Wed Nov 12 2003 Florin <florin@mandrakesoft.com> 0.1.0-1mdk
- first mdk release
